@charset "utf-8";



#allWorksBtn,
#allWorksBtnMobile {
  cursor: pointer;
}

#allWorksOverlayWrapper {
  position: fixed;
  inset: 1.5em;
  border: 0px;
  overflow-y: scroll;
  opacity: 0.0;
  transition: opacity 250ms ease-in-out;
  pointer-events: none;
  z-index: 9000;
  box-shadow: 0 5px 12px rgba(0,0,0,0.35);
  border-radius: 3px;
  background-color: var(--bg-color);
}

#allWorksOverlayWrapper.shown {
  transition: opacity 250ms ease-in-out !important;
  opacity: 1.0;
  pointer-events: all;
}


#allWorksOverlayWrapper::-webkit-scrollbar {
}
#allWorksOverlayWrapper::-webkit-scrollbar-thumb {
  background-color: grey; /* var(--menu-item-active-bg); */
  border: none;
  border-radius: 3px; /*  8px; */
  background-clip: padding-box; 
}
#allWorksOverlayWrapper::-webkit-scrollbar-track {
  box-shadow: none;
  background-color: transparent;
}


/* CLOSE button */

.ovlCloseBtnWrapper {
  position: fixed;
  top: 2.5em;
  left: 2em;
  z-index: 9999;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}
.ovlCloseBtnWrapper a {
  display: inline-block;
  font-size: 1;
  text-decoration: none;
  font-weight: 300;
  padding: 0.2em 0.1em 0.5em 0.5em;
  background-color: var(--bg-color);
  border-radius: 0 0.35em 0px 0px;
}

/* SORT BUTTONS */
.ovlSortBtnsWrapper {
  position: fixed;
  top: 3em;
  left: 6em;
  z-index: 9999;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}
.ovlSortBtnsWrapper ul {
  display: block;
  margin: 0px;
  padding: 0px;
  list-style-type: none;
}
.ovlSortBtnsWrapper ul li {
  display: inline-block;
  padding: 0px;
  margin: 0px 1rem 0px 0px;
  background-color: var(--bg-color);
}
.ovlSortBtnsWrapper ul li a {
  padding: 0px 0.5rem 0px 0px;
}
.ovlSortBtnsWrapper ul li a.is-active {
  text-decoration: line-through;
}
/* hide contextual menu on nav */
#block-overlaymenu .contextual {
  display: none;
}


/* ALL works */
#allWorksOverlay {
  /* background-color: var(--bg-color); */
  display: grid;
  /* grid-template-columns: repeat(auto-fill, minmax(320px, 1fr)); */
  grid-template-columns: repeat(auto-fill, 15em);
  grid-gap: 2em; /* 1.5em; */
  overflow-y: auto;
  /* min-height: calc(100vh - 3em);   */
}

#allWorksOverlay.alphabet {
  display: grid;
  /* grid-template-columns: repeat(auto-fill, minmax(240px, 1fr)); /* 200 / 240px */
  /* grid-gap: 1em; /* 1.5em; /* 2em; */
  overflow-y: auto;
}


#allWorksOverlay h3 {
  font-size: 1em; /* 1.325em; */
  font-weight: 600; /* 400; /* 500; */
  margin: 0px 0px 1.5em 0px;
  text-transform: uppercase;
}

ul.works2Group {
  list-style: none;
  padding: 0px;
  margin: 0px;
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 0.6em;
  margin-bottom: 0px; /* 2em; */
}

ul.works2Group li {
  display: grid;
  grid-template-columns: 80px 1fr;
  grid-gap: 0.65em; /* 0.75em; */
  align-items: start; /* center; */
}
ul.works2Group li:last-of-type {
  margin-bottom: 0.75em;
}

ul.works2Group li a {
  margin: 0px;
  padding: 0px;
  text-decoration: none;
}
ul.works2Group li a:hover {
  text-decoration: underline;
}

ul.works2Group li a img {
  display: block;
  float: left;
  width: 100%;
  height: auto;
}


/* ********************************************************* */
/* alphabet version */
#allWorksOverlay.alphabet ul.works2Group {
  /* grid-gap: 0.25em; */
}
#allWorksOverlay.alphabet ul.works2Group li {
  grid-template-columns: 135px 1fr; /* 90px 1fr; /* 70px 1fr; */
  grid-gap: 0.65em;
}
#allWorksOverlay.alphabet ul.works2Group li a:first-of-type {
  /* display: none !important; */
}
#allWorksOverlay.alphabet h3 {
  margin-bottom: 1.35em;
}


/* ********************************************************* */
/* CHRONO version */
#allWorksOverlay.category ul.works2Group {
  /* grid-gap: 0.25em; */
}
#allWorksOverlay.category ul.works2Group li {
  grid-template-columns: 135px 1fr; /* 90px 1fr; /* 70px 1fr; */
  grid-gap: 0.65em;
}
#allWorksOverlay.category ul.works2Group li a:first-of-type {
  /* display: none !important; */
}
#allWorksOverlay.category h3 {
  margin-bottom: 1.35em;
}


/* ********************************************************* */
/* CHRONO version */
#allWorksOverlay.chrono ul.works2Group {
  /* grid-gap: 0.25em; */
}
#allWorksOverlay.chrono ul.works2Group li {
  grid-template-columns: 135px 1fr; /* 90px 1fr; /* 70px 1fr; */
  grid-gap: 0.65em;
}
#allWorksOverlay.chrono ul.works2Group li a:first-of-type {
  /* display: none !important; */
}
#allWorksOverlay.chrono h3 {
  margin-bottom: 1.35em;
}


a.allWorkBtnActive {
  text-decoration: underline;
}


/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* THERE ARE STYLESHEETS ATTACHED TO THIS formatting */

/* grids */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
@media screen {


  #allWorksOverlay {
    padding: 5em 1em 1em 1em; /*  5em 1em 1em 27em; /* calc(5.15em + 1em) 1em 1em 1em; */
  }

  #allWorksOverlay.alphabet {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 0px; /* 1em; */
  }
  #allWorksOverlay.category {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 0px; /* 1em; */
  }
  #allWorksOverlay.chrono {
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 0px; /* 1em; */
  }

}



/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 800px) {

  #allWorksOverlay {
    padding: 5em 2em 2.5em 2em;
  }

  ul.works2Group li a {
    font-size: 0.9125em;
    line-height: 1.2375em; /* 1.35em; */
  }
  
  #allWorksOverlay.alphabet {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 1em; /* 0px; /* 1em; */
  }
  #allWorksOverlay.category {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 1em; /* 0px; /* 1em; */
  }  
  #allWorksOverlay.chrono {
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 1em; /* 0px; /* 1em; */
  }  

}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1024px) {

  #allWorksOverlay.alphabet {
    grid-template-columns: repeat(3, 1fr);
  }
  #allWorksOverlay.category {
    grid-template-columns: repeat(3, 1fr);
  }  
  #allWorksOverlay.chrono {
    grid-template-columns: repeat(3, 1fr);
  }  

}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1280px) {

  #allWorksOverlay {
    padding: 5em 3em 3.5em 3em;
  }
  
}


/* ***************************************************** */
/* BREAK MEDIUM */

@media (min-width: 1400px) {

  #allWorksOverlay.alphabet {
    grid-template-columns: repeat(4, 1fr);
  }
  #allWorksOverlay.category {
    grid-template-columns: repeat(4, 1fr);
  }  
  #allWorksOverlay.chrono {
    grid-template-columns: repeat(4, 1fr);
  }  

}